Get Payors
curl --request GET \
--url https://app.silnahealth.com/api/public/v1/payors/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v1/payors/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v1/payors/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "AETNA",
"alternate_identifiers": [
{
"identifier": "AETNA_INSC",
"standard": "AVAILITY",
"payor_types": [
"COMMERCIAL",
"MEDICARE"
]
}
],
"insurance_types": [
[
"COMMERCIAL",
"MEDICARE"
]
]
}
],
"first_id": null,
"last_id": null
}{
"message": "<string>"
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}Payors
Get Payors
GET
/
public
/
v1
/
payors
/
Get Payors
You can use this API to convert payor ids in your system to payor ids in our system. We currently support conversion
between the AVAILITY, CLAIM_MD, and OFFICE_ALLY standards and our internal payor ids. To convert a payor id, you will need to make a GET request to this API with the payor id you want to convert. The response will contain the converted payor id.
In the case when the
2. Broad Search
curl --request GET \
--url 'https://api.silnahealth.com/public/v1/payors/?standard=AVAILITY&identifier=AETNA' \
--header 'Authorization: Bearer <token>'
identifier query parameter maps to more than one Silna payor, you can
supply additional query parameters, like standard and payor_type to narrow down your search.
If you are not certain that your payor ids all conform to a standard, we recommend that you first do a narrow search with standard set
and then a broad search without standard set as show below:
1. Narrow Search
curl --request GET \
--url 'https://api.silnahealth.com/public/v1/payors?standard=AVAILITY&identifier=AETNA' \
--header 'Authorization: Bearer <token>'
curl --request GET \
--url 'https://api.silnahealth.com/public/v1/payors?identifier=AETNA' \
--header 'Authorization: Bearer <token>'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
AVAILITY, WAYSTAR, CHANGE_HEALTHCARE, OFFICE_ALLY, CLAIM_MD, STEDI Available options:
COMMERCIAL, MEDICARE, MEDICAID, REGIONAL_CENTER, WORKERS_COMPENSATION, AUTO_INSURANCE